Create or update vat rates
curl --request POST \
--url https://api.paytsoftware.com/v1/vat_rates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"administration_id": "<string>",
"vat_rates": [
{
"code": "<string>",
"rate": "<string>",
"name": "<string>",
"category": "regular"
}
]
}
'import requests
url = "https://api.paytsoftware.com/v1/vat_rates"
payload = {
"administration_id": "<string>",
"vat_rates": [
{
"code": "<string>",
"rate": "<string>",
"name": "<string>",
"category": "regular"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
administration_id: '<string>',
vat_rates: [{code: '<string>', rate: '<string>', name: '<string>', category: 'regular'}]
})
};
fetch('https://api.paytsoftware.com/v1/vat_rates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"count": 98,
"errors": {
"123456": [
"Validation error 1",
"Validation error 2"
],
"123461": [
"Validation error"
]
},
"warnings": {
"123457": [
"Warning message 1",
"Warning message 2"
]
}
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}vat_rates
Create or update vat rates
Create or update vat rates
POST
/
v1
/
vat_rates
Create or update vat rates
Authorizations
OAuth2 access token or static API token. See Authorization for how to obtain one.
Body
application/jsonapplication/x-www-form-urlencoded
Response
Vat rates created
CustomerApi_SuccessEntity model
Request was handled successfully
Number of records processed, those without errors
Example:
98
List of records that could not be processed and for which reasons
Example:
{
"123456": ["Validation error 1", "Validation error 2"],
"123461": ["Validation error"]
}
List of records that were partially processed, the messages contain warnings
Example:
{
"123457": ["Warning message 1", "Warning message 2"]
}
Last modified on August 13, 2026
Was this page helpful?
⌘I